Bug 1669800 - /usr/share/kf5/sonnet/trigrams.map conflicts
Summary: /usr/share/kf5/sonnet/trigrams.map conflicts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-sonnet
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-27 08:42 UTC by bionan_2000
Modified: 2019-02-09 02:12 UTC (History)
7 users (show)

Fixed In Version: kf5-sonnet-5.54.0-2.fc28 kf5-sonnet-5.54.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-09 01:51:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 403630 None None None 2019-01-29 16:28:22 UTC

Description bionan_2000 2019-01-27 08:42:56 UTC
Description of problem:
dnf update is unable to update the kf5 sonnet component

Version-Release number of selected component (if applicable):
Installed:
kf5-sonnet-core-5.53.0-1.fc29.x86_64
kf5-sonnet-ui-5.53.0-1.fc29.i686
kf5-sonnet-ui-5.53.0-1.fc29.x86_64
kf5-sonnet-core-5.53.0-1.fc29.i686

Available:
 kf5-sonnet-core-5.54.0-1.fc29
 kf5-sonnet-ui-5.54.0-1.fc29

How reproducible:


Steps to Reproduce:
1. sudo dnf update
2. errors returned. No update
3.

Actual results:
o ficheiro /usr/share/kf5/sonnet/trigrams.map está em conflito com as tentativas de instalação do kf5-sonnet-core-5.54.0-1.fc29.i686 e kf5-sonnet-core-5.54.0-1.fc29.x86_64

Expected results:


Additional info:

Comment 1 Rex Dieter 2019-01-28 21:01:29 UTC
https://src.fedoraproject.org/rpms/kf5-sonnet/blob/master/f/sonnet-multilib.patch

Apparently our patch for this is no longer sufficient.

Comment 2 Kevin Kofler 2019-01-29 16:49:10 UTC
For posterity, as I wrote on IRC:

+    QMap< QString, QHash<QString, int> > models;

There's still a QHash left in there.

I'd suggest doing as I had suggested in the original https://bugzilla.redhat.com/show_bug.cgi?id=1262746#c12 and do a global sed search&replace:

sed -i -e 's/QHash/QMap/g' data/parsetrigrams.cpp

but if you insist on the patch for some reason, make sure you really replace ALL instances of QHash with QMap.

Comment 3 Fedora Update System 2019-01-29 19:50:24 UTC
kf5-sonnet-5.54.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-63f69f5be1

Comment 4 Fedora Update System 2019-01-29 19:51:05 UTC
kf5-sonnet-5.54.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c10a01d9b

Comment 5 Fedora Update System 2019-01-30 01:59:05 UTC
kf5-sonnet-5.54.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-63f69f5be1

Comment 6 Fedora Update System 2019-01-30 03:01:42 UTC
kf5-sonnet-5.54.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c10a01d9b

Comment 7 Fedora Update System 2019-02-09 01:51:45 UTC
kf5-sonnet-5.54.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-02-09 02:12:59 UTC
kf5-sonnet-5.54.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.